Subject: bug#9496: 24.0.50; Segfault on TAB-only composition

From: Paul Eggert <[email-masked]>
Date: Sun, 05 Feb 2012 08:39:45 -0800

On 02/05/2012 08:36 AM, Eli Zaretskii wrote:

>> If char-width returns a value that's arbitrarily ceilinged
>> at 1000, but actual characters can be wider than 1000 columns,
>> code that uses char-width to count columns will be buggy.
> 
> How can an actual character (not its display-table replacement) be
> wider than that?

By "actual character" I meant to include how the character is
displayed, since char-width measures display width.  So that
includes the display-table replacement if any.

>> We could address this by changing the code that renders characters,
>> so that the code limits them to at most 1000 columns on the display.
> 
> That was my intent, yes.

OK, that sounds reasonable.